# syntax=docker.io/docker/dockerfile:1@sha256:ac85f380a63b13dfcefa89046420e1781752bab202122f8f50032edf31be0021
ARG DISTRO=ubuntu
ARG REGISTRY=
FROM ${REGISTRY}k8s-${DISTRO:?}-rust:production-main AS production
ARG DISTRO=ubuntu
ARG REGISTRY=
FROM ${REGISTRY}k8s-${DISTRO:?}-rust:development-main AS development
ARG DISTRO=ubuntu
ARG REGISTRY=
ARG SELINUXRELABEL=
ARG _INPUTPATH_1=_template/rust/rust-toolchain.toml
ARG _INPUTPATH_2=.cargo/
ARG _INPUTPATH_3=k8s/pttcagent/development.sh
RUN \
  --mount=type=bind,source=${_INPUTPATH_1},target=/builds/rust-toolchain.toml${SELINUXRELABEL} \
  --mount=type=bind,source=${_INPUTPATH_2},target=/builds/${_INPUTPATH_2}${SELINUXRELABEL} \
  --mount=type=bind,source=${_INPUTPATH_3},target=/tmp/${_INPUTPATH_3}${SELINUXRELABEL} \
  --mount=type=cache,id=cargoregistry-${TARGETARCH},target=/home/unprivileged/.cargo/registry/,sharing=locked,uid=10001,gid=10001${SELINUXRELABEL} \
  --mount=type=cache,id=cache-${TARGETARCH},target=/home/unprivileged/.cache/,sharing=locked,uid=10001,gid=10001${SELINUXRELABEL} \
  --mount=type=cache,id=sccache-${TARGETARCH},target=/home/unprivileged/.cache/sccache/,sharing=locked,uid=10001,gid=10001${SELINUXRELABEL} \
  "/tmp/${_INPUTPATH_3:?}"
